### Method

# WebKit ITPFirstParty get_website_data_access_allowed

#### Declaration [src]

    gboolean
    webkit_itp_first_party_get_website_data_access_allowed (
      WebKitITPFirstParty* itp_first_party
    )

#### Description [src]

Get whether `itp_first_party` has granted website data access to its `WebKitITPThirdParty`.

Each `WebKitITPFirstParty` is created by `webkit_itp_third_party_get_first_parties()` and therefore corresponds to exactly one `WebKitITPThirdParty`.

Available since: | 2.30

#### Return value

Returns: | `gboolean`
| `TRUE` if website data access has been granted, or `FALSE` otherwise.